---
schema_version: "1"
id: c51d6ed2411077c92ad5d51fc370740b9ba2093c1a6b7fd92286fbbdc3147c1b
title: Webhook Monitoring Event Webhook
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/retail-cloud/reference/generated-api-specs/webhook-monitoring-event-webhook.md
canonical_url: https://developer.salesforce.com/docs/commerce/retail-cloud/references/webhook-monitoring-event-webhook
source_site: developer.salesforce.com
content_type: documentation
content_hash: c7087f7f646e08ac0e0372f1b2855d8d378a6e45a48bc8f9544e96bc134f253e
products:
  - Point of Sale for Developers
  - Salesforce APIs
---
Webhook Monitoring Event Webhook

# Webhook Monitoring Event Webhook

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/webhook-monitoring-event-webhook/webhook-monitoring-event-webhook-oas-public.yaml)

The specification to implement a webhook in the merchant's system to export webhook monitoring events from Salesforce POS to the merchant's downstream system.

The Webhook Monitoring events are listed below and are related to Custom SPI and Webhook:

1.  Received Error
    
    1.  Webhook/SPI Response Error: Webhook/SPI response 4xx/5xx error.
    2.  Webhook/SPI Response contains errors: Webhook/SPI response contains error messages with 200 status code.
2.  Threshold Exceed
    
    1.  Webhook/SPI response timeout: Webhook/SPI response times out.
    2.  Webhook/SPI response time exceeded: Webhook/SPI response time exceeds latency config in Custom Webhook/SPI.

**Version:** 2.3.4

## Tags

### Webhook Monitoring Event Webhook

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/webhook-monitoring-event-webhook/webhook-monitoring-event-webhook-oas-public.yaml)

The specification to implement a webhook in the merchant's system to export webhook monitoring events from Salesforce POS to the merchant's downstream system.

The Webhook Monitoring events are listed below and are related to Custom SPI and Webhook:

1.  Received Error
    
    1.  Webhook/SPI Response Error: Webhook/SPI response 4xx/5xx error.
    2.  Webhook/SPI Response contains errors: Webhook/SPI response contains error messages with 200 status code.
2.  Threshold Exceed
    
    1.  Webhook/SPI response timeout: Webhook/SPI response times out.
    2.  Webhook/SPI response time exceeded: Webhook/SPI response time exceeds latency config in Custom Webhook/SPI.

## Operations

### POST Export webhook monitoring events.

`POST /merchant/webhook/monitoring/sa/sample/endpoint/to/export/webhook/monitoring/events/to/external/system`

Operation ID: `exportMessage`. Tags: Webhook Monitoring Event Webhook.

Export ExternalWebhookMonitoringMessage to merchant's system. Merchants must implement the endpoint per this specification and then configure it in CMS under **CMS** > **Store Management** > **Integration** > **Custom API Connectors** > **Create**. Make sure to create the endpoint in CMS with the following details:

1.  Under **API Config**:
    *   **API Key:** `MONITORING`
    *   **API Endpoint:** Provide the external endpoint to receive the message
2.  Under **JSON Config**:
    *   **Integration Type:** `HTTP_POST` or HTTP\_PUT.

#### Request body

Media type: `application/json`. Schema: `ExternalWebhookMonitoringMessage`.

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `PSResponse`.
    

## Schemas

### ExternalWebhookMonitoringMessage

*   `monitoringEvent` (_string_)  
    Allowed values: `THRESHOLD_EXCEED`, `RECEIVED_ERROR`.
*   `latencyThreshold` (_integer (int64)_)
*   `responseTime` (_integer (int64)_)
*   `httpErrorCode` (_integer (int32)_)
*   `integrationType` (_string_)  
    Allowed values: `FORM_POST`, `HTTP_GET`, `HTTP_PUT`, `HTTP_POST`, `HTTP_DELETE`.
*   `url` (_string_)
*   `apiKey` (_string_)

### PSResponse

*   `errorMessage` (_string_, nullable) Error message shown to the user.  
    Example: `Invalid request. Please check the request and try again.`.
*   `errorCode` (_string_, nullable) Error code shown to the user.  
    Example: `INTERNAL_ERROR`.
*   `error` (_boolean_)